Subject: [bug#40190] v4l2loopback module builds with 5.4 but not 5.6

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 06 Apr 2020 13:01:59 +0200

Brendan,

Brendan Tildesley 写道：
> I just made a package definition for v4l2loopback. It built 
> perfectly
> fine with Linux 5.4, but when i switched to 5.6.2 with the patch 
> that
> sets it to default, suddenly I get this error below. I was 
> wondering
> if anyone can tell if this is likely my fault, a guix bug with 
> 5.6, or
> an upstream bug I should report there? Thanks.

This is normal for kernel modules, which are expected to keep up 
with upstream kernel development.  It's already fixed upstream:

https://github.com/umlaeute/v4l2loopback/commit/54ef8e99720cbb447ad8e0d598ee05580b485391

It might apply cleanly to 0.12.3.

Kind regards,

T G-R

PS: Don't rely on mutable GitHub /archive/ tarballs, use GIT-FETCH 
instead.